## org.eclipse.emf.ecoretools.diagram.ui.outline.decorator
Class AbstractValidationMarkerReader

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.ui.outline.decorator.AbstractValidationMarkerReader

All Implemented Interfaces:
  IMarkerReader

    public abstract class AbstractValidationMarkerReader

extends java.lang.Object
implements IMarkerReader

This class find the validation markers and return a multiple status containing all the messages

Constructor Summary
`AbstractValidationMarkerReader()`

Method Summary
`org.eclipse.core.runtime.IStatus` `getStatus(org.eclipse.emf.ecore.EObject object)` Get an IStatus from the markers associated with the given EObject

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecoretools.diagram.ui.outline.decorator.IMarkerReader
`getMarkerType`

Constructor Detail

### AbstractValidationMarkerReader

    public AbstractValidationMarkerReader()

Method Detail

### getStatus

    public org.eclipse.core.runtime.IStatus getStatus(org.eclipse.emf.ecore.EObject object)

  Description copied from interface: `IMarkerReader`
  Get an IStatus from the markers associated with the given EObject

  Specified by:
    `getStatus` in interface `IMarkerReader`
  Parameters:
    `object` - the EObject
  Returns:
    a MultiStatus composed by the list of status from markers
  See Also:
    `IMarkerReader.getStatus(org.eclipse.emf.ecore.EObject)`

Copyright 2007 Anyware Technologies. All Rights Reserved.